be.fgov.ehealth.errors.service.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.errors.service.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.errors.service.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.errors.service.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessError` | `createBusinessError()` Create an instance of `BusinessError`
    `ServiceErrorType` | `createServiceErrorType()` Create an instance of `ServiceErrorType`
    `SystemError` | `createSystemError()` Create an instance of `SystemError`
    `TraceType` | `createTraceType()` Create an instance of `TraceType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.errors.service.v1

  - ### Method Detail

    - #### createSystemError

          public SystemError createSystemError()

      Create an instance of `SystemError`

    - #### createServiceErrorType

          public ServiceErrorType createServiceErrorType()

      Create an instance of `ServiceErrorType`

    - #### createTraceType

          public TraceType createTraceType()

      Create an instance of `TraceType`

    - #### createBusinessError

          public BusinessError createBusinessError()

      Create an instance of `BusinessError`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.